Package org.apache.sling.distribution.journal.impl.publisher

## Class PubQueueProviderPublisher

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.publisher.PubQueueProviderPublisher

    public class PubQueueProviderPublisher
    extends Object

Normally PubQueueProvider should be created per publish agent. For compatibility with current code and to save on number of consumers we must make sure to publish only one for the messaging based impl.

### Constructor Summary

Constructors
`PubQueueProviderPublisher()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(org.osgi.framework.BundleContext context)`
`void` `deactivate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PubQueueProviderPublisher

    public PubQueueProviderPublisher()

### Method Detail

#### activate

    public void activate​(org.osgi.framework.BundleContext context)

#### deactivate

    public void deactivate()